var Item = cc.Class({
    name: 'Item',
    properties: {
        id: 0, 
        iconSF: cc.SpriteFrame,
        itemPrefab: cc.Prefab,
    }
});
cc.Class({
    extends: cc.Component,

    properties: {
        items: {
            default: [],
            type: Item,
            itemPrefab: cc.Prefab
        }
    },

    onLoad () {
        for (var i = 0; i < this.items.length; ++i) {
            var item = cc.instantiate(this.itemPrefab);
            var data = this.items[i];
            this.node.addChild(item);
            item.getComponent('ItemTemplate').init({
                id: data.id,
                
                iconSF: data.iconSF
            });
        }
    }
});
